<?php
/**
* レイアウト例外
*
* PHP version 5
*
* @package    components.db
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class LayoutException extends CharcoalException
{
	public function __construct( $layout_name, $message = NULL )
	{
		$msg  = " [layout name]$layout_name";
		if ( $message ){
			$msg .= " [message]$message";
		}

		parent::__construct( $msg );
	}

	/**
	 *   クラス名
	 */
	static function getClassName()
	{
		return __CLASS__;
	}
}
?>